function onload_rating(){
	$('.content-stars-rating').each(function (event) {
		var rating = $(this).attr('rating');
		$(this).parent().parent().find('#content-rating-table').html(rating);
		var i;
		for(i = 0; (i < rating); i++) {
			$(this).find('span.star').eq(i).addClass('filled');
		}
		if(rating % 1>0)
			$(this).find('span.star').eq(i-1).addClass('half-filled');
	});		
}

$(document).ready(function(){
	/* rating js start*/
	onload_rating();
	/* rating js end */

	// sidebar
	$('.lawyers-sidebar-title h3').click(function(){
		$('.lawyers-sidebar-card').toggleClass('sidebar-open')
	})

	/*Legal Guides js*/
	$(".legal-guides .Injury-Law-card-wapper").slice(0, 4).show();
	$("#legal-guides").on("click", function(e){
		e.preventDefault();
		$(".legal-guides .Injury-Law-card-wapper:hidden").slice(0, 4).slideDown();
		if($(".legal-guides .Injury-Law-card-wapper:hidden").length === 0) {
			$("#legal-guides").remove();
		}
	});	

	/*Legal Guides js*/

	$(".legal-research-card .Injury-Law-card-wapper").slice(0, 4).show();
	$("#legal-research-card").on("click", function(e){
		e.preventDefault();
		$(".legal-research-card .Injury-Law-card-wapper:hidden").slice(0, 4).slideDown();
		if($(".legal-research-card .Injury-Law-card-wapper:hidden").length === 0) {
			$("#legal-research-card").remove();
		}
	});	

	// form-wapper js

	$('.floating-control').on('change', function (e) {
		if($(this).is('select')){
			if($(this).val() === $("option:first", $(this)).val()) {
				$(this).parents('.floating-group').removeClass('focused');
			}
			else{
				$(this).parents('.floating-group').addClass('focused');
			}
		}
	})

	// jQuery(".faq-accordion-item:first-child").addClass("active").children(".faq-content").slideDown();
	jQuery(".faq-accordion-item .faq-menu").on("click", function(){
		if( jQuery(this).parent().hasClass("active") ){
			jQuery(this).next().slideUp();
			jQuery(this).parent().removeClass("active");
		}
		else{
			jQuery(".faq-content").slideUp();
			jQuery(".faq-accordion-item").removeClass("active");
			jQuery(this).parent().addClass("active");
			jQuery(this).next().slideDown();
		}
	});
});

// LAWYERS PAGINATION
// $(document).on('click', '.lawyers-pagination a', function(event){
// 	event.preventDefault(); 
// 	var page = $(this).attr('href').split('page=')[1];
// 	var uri = $(this).attr('href').split('?')[0];
// 	jQuery(".lawyers-list-main").css({"opacity":"0.6"});
// 	fetch_data(page,uri);
// });

// function fetch_data(page,uri){
// 	var p_area = $("#p_area").val();
// 	var state = $("#state").val();
// 	var city = $("#city").val();

// 	$.ajax({
// 		url: state_paginate+"?page="+page,
// 		type: "POST",
// 		data:{"p_area":p_area, "state":state, "city":city},
// 		success:function(data){
// 			$('.lawyers-list-main').html(data);
// 			jQuery(".lawyers-list-main").css({"opacity":"1"});
// 			onload_rating();
// 			$('html, body').animate({
// 				scrollTop: $(".lawyers-list-main").offset().top
// 			}, 2000);
// 		}
// 	});
// }